(function($){
	$.ssAddToCart = function(op) {
		var settings=$.extend(true,{},op),
		displayPopUpFunc = settings.displayPopUp,
		preAJAXfunc = settings.beforeAddToCart,
		ssAJAXCartCall = function(url, data) {
			if(typeof(preAJAXfunc) == 'function') preAJAXfunc(data);
			$.ajax({url:url,data:data,async:true,crossDomain:true,dataType:'jsonp',jsonp:'show_jsoncart',success:displayPopUpFunc});
		};
		if(typeof(displayPopUpFunc ) == 'function') {
			$("form[action*='order.cgi']").each(function () {
				if($("input[name='function']").val().toLowerCase() != 'add') return true;
				var f = $(this);
				f.submit(function(event){
					var error=false;
					$('[name*=":finopt:"]',f).each(function(){
						if(/;n/.test($(this).val()))
						{
							$(this).addClass('field_warn').change(function(){$(this).removeClass('field_warn')});
							error="[-- STORE.RequiredMenuSelection --]";
						}
					});
					if(error)
					{
						if(typeof(ss_handleResponse)=='undefined'){alert(error)}
						return false;
					}
					event.preventDefault();
					var data='';
					//Avoids problems with encodeURIComponent and High ASCII
					$(f.serializeArray()).each(function(){
						var t=$(this)[0];
						data+='&'+ escape(t.name)+'='+escape(t.value).replace(/\+/g,'%2B');
					});
					ssAJAXCartCall(f.attr('action'),data.substr(1));
				});
			});

			$("a[href*='order.cgi'][href*='function=add']").click(function (event) {
				var f = $(this),href=f.attr('href').split('?');
				event.preventDefault();
				ssAJAXCartCall(href[0],href[1]);
			});
		}
	}
})(ss_jQuery);
