<?php
header('Content-type: text/plain; charset=UTF-8');
$passed = true;
$errors = '';
if (!function_exists('version_compare') || version_compare(PHP_VERSION, '5.4.0', '<')) {
  $passed = false;
  $errors .= '|PHP version too low. Version 5.4.0 or greater required.';
}
$requiredExtensions = array('xmlwriter', 'openssl', 'dom', 'hash', 'curl');
$missingExtensions = '';
foreach ($requiredExtensions AS $ext) {
  if (!extension_loaded($ext)) {
    $missingExtensions .= (($missingExtensions != '') ? ', '.$ext : $ext);
  }
}
if($missingExtensions != '')
{
  $errors .= '|Missing PHP extensions: ' . $missingExtensions;
  $passed = false;
}

if($passed)
  echo 'pass';
else
  echo 'fail' . $errors;
